<!DOCTYPE html>
<html>
<head>
	<title>LeetPeak</title>
	<script type="text/javascript">

// METHODE LA PLUS SIMPLE
function remplacer(mot) {
	mot = mot.toLowerCase();
	mot = mot.replace("a", "4");
	mot = mot.replace("e", "3");
	return mot;
}

// METHODE MOINS SIMPLE
function convertir(mot) {
	var motLeet = "";
	for (var i = 0; i < mot.length; i++) {
		motLeet = motLeet + lettreLeet(mot[i]);
	}
	return motLeet;
}

function lettreLeet(lettre) {
	var lettreLeet = lettre;
	switch (lettre.toLowerCase()) {
		case "a":
		lettreLeet = 4;
		break;
		case "e":
		lettreLeet = 3;
		break;
	}
	return lettreLeet;
}
</script>
</head>
<body>

</body>
</html>